MCP Tools Reference: auditmanager.googleapis.com

Tool: get_resource_enrollment_status

Fetches the enrollment status for a project in Audit Manager. Format: 'projects/{project}/locations/{location}/resourceEnrollmentStatuses/-'. CRITICAL: For {location}, use the location specified by the user. If no location is specified, prompt the user to provide one. Do not use 'global'. The location must match the chosen Regional Endpoint (REP) region (e.g., us-central1).

The following code sample shows how to use curl to call the get_resource_enrollment_status MCP tool.

Curl Request
curl --location 'https://auditmanager.us-central1.rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_resource_enrollment_status",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for GetResourceEnrollmentStatus.

GetResourceEnrollmentStatusRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. Name of the resource enrollment status, in one of the following formats:

  • folders/{folder}/locations/{location}/resourceEnrollmentStatuses/{resource_enrollment_status}
  • projects/{project}/locations/{location}/resourceEnrollmentStatuses/{resource_enrollment_status}
  • organizations/{organization}/locations/{location}/resourceEnrollmentStatuses/{resource_enrollment_status}

Output Schema

An organization, folder, or project with its enrollment status.

ResourceEnrollmentStatus

JSON representation
{
  "name": string,
  "enrollment": {
    object (Enrollment)
  },
  "enrolled": boolean,
  "displayName": string,
  "enrollmentState": enum (ResourceEnrollmentState)
}
Fields
name

string

Identifier. Name of the resource enrollment status, in one of the following formats:

  • folders/{folder}/locations/{location}/resourceEnrollmentStatuses/{resource_enrollment_status}
  • projects/{project}/locations/{location}/resourceEnrollmentStatuses/{resource_enrollment_status}
  • organizations/{organization}/locations/{location}/resourceEnrollmentStatuses/{resource_enrollment_status}
enrollment

object (Enrollment)

Output only. Enrolled destination details for the organization, folder, or project.

enrolled
(deprecated)

boolean

Output only. Deprecated. Whether the organization, folder, or project is enrolled. Use enrollment_state instead.

displayName

string

Output only. Display name for the organization, folder, or project.

enrollmentState

enum (ResourceEnrollmentState)

Output only. Enrollment state of the organization, folder, or project.

Enrollment

JSON representation
{
  "name": string,
  "destinationDetails": [
    {
      object (DestinationDetails)
    }
  ]
}
Fields
name

string

Identifier. Name of the enrollment, in one of the following formats:

  • projects/{project}/locations/{location}/enrollments/{enrollment}
  • folders/{folder}/locations/{location}/enrollments/{enrollment}
  • organizations/{organization}/locations/{location}/enrollments/{enrollment}
destinationDetails[]

object (DestinationDetails)

Output only. Cloud Storage buckets where you want to upload the audit reports.

DestinationDetails

JSON representation
{

  // Union field destination can be only one of the following:
  "gcsBucketUri": string
  // End of list of possible types for union field destination.
}
Fields
Union field destination. The specific destination where the audit report and evidence are stored. destination can be only one of the following:
gcsBucketUri

string

URI for the Cloud Storage bucket, in the format gs://{bucket_name}.

ResourceEnrollmentState

Different enrollment states of the resource and its parent.

Enums
RESOURCE_ENROLLMENT_STATE_UNSPECIFIED Default value. This value is unused.
NOT_ENROLLED The resource isn't enrolled.
INHERITED The resource isn't enrolled but the parent is enrolled.
ENROLLED The resource is enrolled.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌